FROM node:14.20 as node
WORKDIR /app

COPY ./angularspring/package.json .
RUN npm install
COPY ./angularspring .
RUN npm run build --prod

FROM nginx as runtime
COPY --from=node /app/dist/angularspring /usr/share/nginx/html
